Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::delimit_fn Struct Reference
Inheritance diagram for ranges::view::delimit_fn:

## Synopsis of methods
constexpr delimit_fn | delimit {}

## Public Member Functions
template<typename I_ , typename Val , typename I = detail::decay_t<I_>>
auto | operator() (I_ &&begin_, Val value) const -> delimit_view< subrange< I, unreachable_sentinel_t >, Val > requires(!Range< I_ > &&ConvertibleTo< I_, I > &&InputIterator< I > &&Semiregular< Val > &&EqualityComparableWith< Val, iter_reference_t< I >>)
Public Member Functions inherited from ranges::view::view< delimit_impl_fn >
auto | operator() (Rng &&rng, Rest &&... rest) const -> invoke_result_t< delimit_impl_fn const &, Rng, Rest... > requires ViewableRange< Rng > &&Invocable< delimit_impl_fn const &, Rng, Rest... >
auto | operator() (Ts &&... ts) return make_view(view_access
constexpr | view (delimit_impl_fn a) noexcept(std::is_nothrow_move_constructible< delimit_impl_fn >::value)